Невозможно установить libboost [дубликат]

На этот вопрос уже есть ответ:

Я получаю следующее:

myPrompt: ~ $ sudo apt-get install libboost-all-dev
Reading package lists ... finished
Dependency tree
Status information is read ... finished
Some packages could not be installed. This may mean that
You have requested an impossible situation or if the
Are using the unstable distribution that some required packages have
not created or have not left Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
libboost-all-dev: Depends: libboost-date-time-dev but it is not installable
                    Depends: libboost-python-dev but it is not installable
                    Depends: libboost-thread-dev but it is not installable
E: Problems can not be corrected, you have held broken packages back.

В переводе с немецкого

Понятия не имею, почему это так. Пытался исправить это в соответствии с некоторыми вещами, найденными в Интернете ... Как sudo apt-get -f install

1
задан 15.04.2020, 05:14

1 ответ

У вас есть неудовлетворенные зависимости. Попробуйте также использовать sudo apt-get install -f libboost-all-dev для установки неудовлетворенных зависимостей.

0
ответ дан 15.04.2020, 05:15

Теги

Похожие вопросы